Does games for cwf 3.55 work on cfw 4.4 ?

Discussion in 'PS3 - Hacking & Homebrew' started by Cecilmax, Oct 26, 2016.

  1. Cecilmax
    OP

    Cecilmax GBAtemp Regular

    Member
    141
    9
    Mar 7, 2015
    Canada
    Hello guys, I notice somes games are supposed to run on cfw 4.4, I have cfw 3.55, should I upgrade ? Does all 3.55 games will run on 4.4 ? :)
     
  2. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,560
    8,911
    Oct 27, 2002
    France
    Engine room, learning
    your thread title is in the other order, or it's two different questions?

    A game for older firmware works fine on newer firmware.
    A game for newer firmware needs to be patched to work on older firmware. Generally, decrypting/re-encrypting them, so you need the target's keys (4.4) to decrypt them, and your current version's key (3.55) for the re-encryption.
    3.55 doesn't have 4.4 keys, so games encrypted with the 4.4 keys can't be read. the patch let you do it manually on your computer, using keys 3.55 knows and can decrypt. Usually, the patchers are re-encrypting with 3.41 keys to work on 3.41 and newer (3.55 is not the first hacked version)

    Games patched to work on previous firmware than their original target should work fine after updating past your current version.

    Some games can't be patched (Ni no kuni for example) because they require firmware files that were added or changed in newer version. changing the encryption will not be enough as you'll miss some functions required by the game.
    So, updating is the only solution for these games.

    I guess, 3.55 is fine as long as you get around the target version and patch all your games, but updating is easier (no need to patch anymore, and more games will work).
    sometime the patch is not a simple re-encryption and needs file edition.
     
  3. Cecilmax
    OP

    Cecilmax GBAtemp Regular

    Member
    141
    9
    Mar 7, 2015
    Canada
    Thanks :) so I should just upgrade to the lastest version everytime then.. thanks again :)
     
  4. sj33

    sj33 GBAtemp Addict

    Member
    2,717
    1,719
    Oct 22, 2013
    Japan
    The latest version is 4.80, anyway.
     
  5. kevin corms

    kevin corms Advanced Member

    Newcomer
    99
    26
    Feb 21, 2015
    Canada
    Ya just grab the latest rebug.
     
  6. tjok3000

    tjok3000 Member

    Newcomer
    27
    5
    Oct 3, 2016
    Belgium
    I recently upgraded from 3.55 to 4.80. Most games with iso's unpacked from external drive did work like 60%.
    With some tweaking with startup settings in multiman I got 90% to work. Don't know why some won't work. E-boot stuff??

    Also I got PKG games to install which were 3.55 compatible. And only 10% of them worked. Most of them gave errors, but resigning them for 4.80 fixed it 100%.
    Was a bit dissapointed at first with 4.80 when I had to fix a lot of games which worked perfectly fine on 3.55. But after the hassle I'm happy now, almost all of it working and more tools for tweaking my ps3